org.bdgenomics.adam.models

# ReferencePosition

#### case class ReferencePosition(referenceName: String, pos: Long) extends Ordered[ReferencePosition] with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, Ordered[ReferencePosition], Comparable[ReferencePosition], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ReferencePosition
2. Serializable
3. Serializable
4. Product
5. Equals
6. Ordered
7. Comparable
8. AnyRef
9. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ReferencePosition(referenceName: String, pos: Long)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def <(that: ReferencePosition): Boolean

   Definition Classes
     Ordered

5. #### def <=(that: ReferencePosition): Boolean

   Definition Classes
     Ordered

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### def >(that: ReferencePosition): Boolean

   Definition Classes
     Ordered

9. #### def >=(that: ReferencePosition): Boolean

   Definition Classes
     Ordered

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### def compare(that: ReferencePosition): Int

    Definition Classes
      ReferencePosition → Ordered

13. #### def compareTo(that: ReferencePosition): Int

    Definition Classes
      Ordered → Comparable

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### val pos: Long

22. #### val referenceName: String

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Ordered[ReferencePosition]

### Inherited from Comparable[ReferencePosition]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped